# RPM specfile for pspell module
# Generated Mon Mar 24 22:37:23 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.218 2003/03/18 00:04:55 thunder Exp $

%define nam	pspell
%define ver	0.12.2
%define ximrev	4

Name:     	pspell-compat
Version: 	0.12.2
Release:	0.ximian.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 8.0 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://aspell.net/
Epoch:		2
Source0:	pspell-.12.2.tar.gz
Patch0:		pspell-old-libtool-fix.patch
Patch1:		pspell-compat-changes.patch
Summary:	Portable Spell Checker Interface Library.
Group:		Applications/Text
Provides:	ximian-pspell-compat = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	pspell < 0.50

%description
The Pspell library provides a generic interface to spell checker
libraries installed on the system.

%files
%defattr(-, root, root)
%doc README manual/man-html manual/man-text
/usr/share/pspell-compat
/usr/lib/libpspell*.so.*


%package -n pspell-compat-devel
Summary:	Static libraries and header files for pspell
Group:		Development/System
Requires:	pspell-compat = %{version}-%{release}
Provides:	ximian-pspell-compat-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	pspell-devel < 0.50

%description -n pspell-compat-devel
The Pspell library provides a generic interface to Spell checker
libraries installed on the system. This package contains static
libraries and header files for Pspell

%files -n pspell-compat-devel
%defattr(-, root, root)
/usr/bin/pspell-compat-config
/usr/lib/libpspell*.a
/usr/lib/libpspell*.so
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pspell-.12.2
    ;;
all)
%setup  -q -n pspell-.12.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; automake-1.4 --gnu --add-missing; CC="g++" ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-ltdl --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}; for i in `ls ${DESTDIR}/usr/lib/libpspell*.so`; do mv $i `echo $i|sed -e "s/libpspell/libpspell-compat/"`; done; for i in `ls ${DESTDIR}/usr/lib/libpspell*.a`; do mv $i `echo $i|sed -e "s/libpspell/libpspell-compat/"`; done
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Mar 24 2003 Ximian, Inc.

- Version: 2:0.12.2-0.ximian.4
- Summary: New build.
- New automated build.

